---
meta:
  nav: Footers
  title: Footer component
  description: The footer component provides a container for displaying additional navigation information about a site.
  keywords: footers, vuetify footer component, vue footer component
related:
  - /components/grids
  - /components/buttons
  - /components/toolbars
features:
  figma: true
  label: 'C: VFooter'
  report: true
  github: /components/VFooter/
---

# Footers

The `v-footer` component is used for displaying general information that a user might want to access from any page within your site.

<PageFeatures />

## Usage

The `v-footer` component in its simplest form is a container.

<ExamplesUsage name="v-footer" />

<PromotedEntry />

## API

| Component | Description |
| - | - |
| [v-footer](/api/v-footer/) | The footer component. |

<ApiInline hide-links />

## Examples

### Misc

#### Company Footer

The footer component as a basic company footer with links.

<ExamplesExample file="v-footer/misc-company-footer" />

#### Indigo Footer

The footer component with Indigo background color and social media icons and button.

<ExamplesExample file="v-footer/misc-indigo-footer" />

#### Teal Footer

The footer component with a Teal color header and columns and rows of links.

<ExamplesExample file="v-footer/misc-teal-footer" />
