---
meta:
  nav: Locale providers
  title: Locale provider component
  description: The locale provider allows you to modify the application's current language scoped within a template
  keywords: locale provider, vuetify locale provider component, vue locale provider component
related:
  - /features/internationalization/
  - /features/global-configuration/
  - /getting-started/browser-support/
features:
  github: /components/VLocaleProvider/
  label: 'C: VLocaleProvider'
  report: true
---

# Locale providers

The locale provider allows you to provide specific default prop values to components in a section of your application

<PageFeatures />

<PromotedEntry />

## API

| Component | Description |
| - | - |
| [v-locale-provider](/api/v-locale-provider/) | Primary Component |

<ApiInline hide-links />

## Examples

### Locale

The `v-locale-provider` expects a prop **locale** which looks the same as the **locale** object that you can pass to `createVuetify` when creating your application.
