---
meta:
  nav: Sponsors and backers
  title: Sponsoring Vuetify
  description: Help support Vuetify by backing the project. This helps with the maintenance of existing features and the development of new ones.
  keywords: sponsor, backer, donations, patron, supporting vuetify, vuetify support
related:
  - /introduction/enterprise-support/
  - /introduction/roadmap/
  - /about/meet-the-team/
---

# Sponsor Vuetify development

Vuetify is an [MIT licensed](https://github.com/vuetifyjs/vuetify/blob/master/LICENSE.md) open-source project that's completely free to use.

<PageFeatures />

<VoPromotionsCardVuetify />

## Preamble

Vuetify is actively maintained by [John](https://github.com/johnleider) and [Heather](https://github.com/heatherleider) Leider as a full-time job. In addition, a Core team of open-source contributors help maintain and guide the future of the framework. The time and dedication it takes to maintain the core framework and ecosystem packages is substantial. You can support Vuetify’s open-source project by becoming a backer through one of the following methods:

## One-time donations

One-time donations can be made through [PayPal](https://paypal.me/vuetify).

## Recurring Pledges

Recurring pledges come with **exclusive** perks such as priority GitHub issues, application auditing, and having your logo placed on this website.

- [Become a backer or sponsor via GitHub](https://github.com/sponsors/johnleider) or [Patreon](https://www.patreon.com/vuetify) (goes directly to Vuetify to support John and Heather).
- [Become a backer or sponsor through Open Collective](https://opencollective.com/vuetify) (a transparent fund for supporting the development and maintenance of Vuetify).

## Current Project Sponsors

We thank all of our project sponsors for their continued support of Vuetify. If you have any questions about sponsorship, please reach out to [sponsor@vuetifyjs.com](mailto:sponsor@vuetifyjs.com) for more information.

### Special

Thank you to our special sponsor. Your support is greatly appreciated.

<SponserSponsors tier="-2" width="240" />

<br>

### Diamond

These sponsors have pledged $1,500 per month.

<SponserSponsors tier="1" />

<br>

### Platinum

These sponsors have pledged $500 per month.

<SponserSponsors tier="2" />

<br>

### Gold

These sponsors have pledged $250 per month.

<SponserSponsors tier="3" />

<br>

### Service

These sponsors help keep the lights on by providing free services to the Vuetify project.

<SponserSponsors tier="6" />

<br>

### Affiliate

We work with these companies to provide you with the best possible experience.

<SponserSponsors tier="5" />

<br>

## Bottom line

If you run a business and are using Vuetify in a revenue-generating product, it makes business sense to sponsor Vuetify development: *it ensures the project that your product relies on stays healthy and actively maintained*. Vuetify is a **full-time** job for John and Heather; your sponsorship and contributions help support them.

If you have any questions, please reach out to [sponsor@vuetifyjs.com](mailto:sponsor@vuetifyjs.com).
