---
meta:
  title: Search Engine
  description: Add Vuetify as a search engine to your Chrome browser for quick access to the documentation
  keywords: search engine, vuetify search engine, vuetify chrome search engine, vuetify chrome extension
related:
  - /getting-started/quick-start/
  - /getting-started/why-vuetify/
---

# Search engine

Add Vuetify as a browser search engine for quick access to the documentation.

<PageFeatures />

<PromotedEntry />

## Setup

The Vuetify documentation supports being a search engine for your browser. This allows you to query directly from the url bar without having to navigate to the site first. To add Vuetify as a search engine, follow the steps below:

### For Chrome

1. Open Chrome settings
  ![image](https://github.com/vuetifyjs/vuetify/assets/9064066/3b83a0a1-a51d-4c88-bf1b-0200a1f6b532)
2. Search for "Manage search engines and site search"
  ![search](https://github.com/vuetifyjs/vuetify/assets/9064066/8fd8f1e4-ebed-4c8a-9444-16163c580a60)
3. Scroll down to "Site search" and click the <v-kbd>Add</v-kbd> button to add a new search engine
  ![image](https://github.com/vuetifyjs/vuetify/assets/9064066/87d7775f-0f92-4f12-b9dd-01195f80df31)
4. Enter the following information into the "Add search engine" dialog:

* Search engine: `Vuetify` { .ms-4 }
* Shortcut: `vt` (or whatever you prefer) { .ms-4 }
* URL with %s in place of query: `https://vuetifyjs.com/?search=%s` { .ms-4 }

5. Hit the <v-kbd>Add</v-kbd> button to save the search engine
6. Open your browster and type `vt` into the url bar followed by a space or tab:
  ![image](https://github.com/vuetifyjs/vuetify/assets/9064066/07869a65-bcc4-44c2-a900-3f69eea1be4b)
7. Type your search query and hit enter to search the Vuetify documentation
  ![image](https://github.com/vuetifyjs/vuetify/assets/9064066/e91092f4-f308-4ed4-9b4a-33ac189aec19)

### For Edge

1. Open Edge Settings
  ![step1](https://github.com/vuetifyjs/vuetify/assets/9064066/696182cf-5eab-4229-a007-5521186f8058)
2. Search for "Address bar and search"
  ![edge-search](https://github.com/vuetifyjs/vuetify/assets/9064066/9b9487c3-34d6-44b4-81e2-45ba30da2977)
3. Click the <v-kbd>Add</v-kbd> button to add a new search engine
  ![step2](https://github.com/vuetifyjs/vuetify/assets/9064066/eb50602a-bb6d-4933-92cd-e4f0edbc8a86)
4. Entry the following information into the "Add search engine" dialog:

* Search engine: `Vuetify` { .ms-4 }
* Shortcut: `vt` (or whatever you prefer) { .ms-4 }
* URL with %s in place of query: `https://vuetifyjs.com/?search=%s` { .ms-4 }

![add search engine](https://github.com/vuetifyjs/vuetify/assets/9064066/8b31e827-5b16-4ba8-b220-bcbe139986ff)

5. Hit the <v-kbd>Add</v-kbd> button to save the search engine
6. Open your browster and type `vt` into the url bar followed by a space or tab:
  ![search bar](https://github.com/vuetifyjs/vuetify/assets/9064066/59311829-e564-4c80-a0c9-d33e7aacfd21)
7. Type your search query and hit enter to search the Vuetify documentation
  ![step5](https://github.com/vuetifyjs/vuetify/assets/9064066/8245afd9-bceb-41dd-8310-50e4137d1fca)
