---
meta:
  title: UI Kits
  description: Vuetify offers numerous pre-built component kits for both Figma and Adobe Xd. Kickstart your next application today.
  keywords: vuetify ui kit, vuetify ui, ui kits, ui kit figma, ui kit adobe xd
related:
  - /getting-started/wireframes/
  - /features/theme/
  - /getting-started/installation/
---

# Vuetify UI Kits

Easily create design prototypes with Figma components that match Vuetify's.

<PageFeatures />

<PromotedEntry />

----

## Usage

The Vuetify UI Kit is a free component plugin for Figma that streamlines building your applications.

### Figma Plugin

The fastest and easiest way to use the Vuetify UI Kit is to install it as a [plugin for Figma](https://www.figma.com/community/file/1266515419060480209).

### Digital Download

If you need to manually install the plugin for whatever reason, you can download the latest version from the [Vuetify Store](https://store.vuetifyjs.com/).

1. [Download](https://store.vuetifyjs.com/products/vuetify-ui-kit-figma) for free from the our store
2. Unzip **vuetify3-ui-light-kit.fig** from `vuetify-figma-ui-kit.zip`
3. Open Figma and create a new project:
  ![UI Kit New Project](https://cdn.vuetifyjs.com/docs/images/ui-kits/ui-kit-new-project.png)
4. Select **Import file** and navigate to where you unzipped `vuetify3-ui-light-kit.fig`:
  ![UI Kit Import File](https://cdn.vuetifyjs.com/docs/images/ui-kits/ui-kit-import-file.png)
5. Create a new design file:
  ![UI Kit New Design File](https://cdn.vuetifyjs.com/docs/images/ui-kits/ui-kit-new-design-file.png)
6. Access components within your projects by selecting **Assets** and then searching for the desired component:
  ![UI Kit Search Assets](https://cdn.vuetifyjs.com/docs/images/ui-kits/ui-kit-search-assets.png)
